import './assets/main.css'


import { createApp } from 'vue'
import App from './App.vue'
import { createRouter, createWebHistory } from 'vue-router';
import store from './store/index.js'

import Home from '../src/Views/Home/Home.Vue'
import About from '../src/Views/About/About.vue'
import Contact from "../src/Views/Contact/Contact.vue"
import Categories from "../src/components/Categories/Categories.vue"
import ProductDetail from "../src/Views/ProductDetail/ProductDetail.vue"
import Cart from "../src/views/Cart/Cart.vue"


const app = createApp(App);

const router = createRouter({
    history: createWebHistory(),
    routes: [
        { name: "Home", path: '/', component: Home },
        { name: "About", path: '/about', component: About },
        { name: "Contact", path: '/contact', component: Contact },
        { name: "Categories", path: '/categories/:product', component: Categories },
        { name: "ProductDetail", path: '/categories/:product/:id', component: ProductDetail },
        { name: "Cart", path: "/cart", component: Cart }

    ]

})

app.use(router)
app.use(store)
app.mount('#app')
